{
  "schema_version": "1.4.0",
  "id": "GHSA-hp65-4pq5-qqw7",
  "modified": "2025-04-11T03:53:03Z",
  "published": "2022-05-17T01:52:03Z",
  "aliases": [
    "CVE-2011-4566"
  ],
  "details": "Integer overflow in the exif_process_IFD_TAG function in exif.c in the exif extension in PHP 5.4.0beta2 on 32-bit platforms allows remote attackers to read the contents of arbitrary memory locations or cause a denial of service via a crafted offset_val value in an EXIF header in a JPEG file, a different vulnerability than CVE-2011-0708.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2011-4566"
    },
    {
      "type": "WEB",
      "url": "https://bugs.php.net/bug.php?id=60150"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/71612"
    },
    {
      "type": "WEB",
      "url": "https://www.ubuntu.com/usn/USN-1307-1"
    },
    {
      "type": "WEB",
      "url": "http://lists.apple.com/archives/security-announce/2012/May/msg00001.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2012-03/msg00016.html"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2012-0071.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/47253"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/48668"
    },
    {
      "type": "WEB",
      "url": "http://support.apple.com/kb/HT5281"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2012/dsa-2399"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2011:197"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2012-0019.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/50907"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2011-11-29T00:55:00Z"
  }
}